## OGMDvdDriveChooserDialog

OGMDvdDriveChooserDialog — A DVD drive chooser dialog

## Synopsis

    #include <ogmdvd-drive-chooser-dialog.h>

    struct              OGMDvdDriveChooserDialog;
    GtkWidget *         ogmdvd_drive_chooser_dialog_new     (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----GtkDialog
                                                 +----OGMDvdDriveChooserDialog

## Implemented Interfaces

OGMDvdDriveChooserDialog implements AtkImplementorIface, GtkBuildable and OGMDvdDriveChooser.

## Signals

      "eject"                                          : No Hooks

## Description

## Details

### struct OGMDvdDriveChooserDialog

    struct OGMDvdDriveChooserDialog;

### ogmdvd_drive_chooser_dialog_new ()

    GtkWidget *         ogmdvd_drive_chooser_dialog_new     (void);

Creates a new OGMDvdDriveChooserDialog.

Returns : | The new OGMDvdDriveChooserDialog

## Signal Details

### The `"eject"` signal

    void                user_function                      (OGMDvdDriveChooserDialog *dialog,
                                                            gpointer                  user_data)      : No Hooks

Emitted each time the eject button is clicked.

`dialog` : | the widget that received the signal
`user_data` : | user data set when the signal handler was connected.